## libtinymail 0.0.9+svn4142

=== docs/requirements.txt ===
When adding requirements here:

  * Please be brief about the build procedure. Try to refer to building.txt
    for build procedures

  * Try to get as much features as possible documented and working on the
    host. Specifiy when, how and where you can choose (network manager,
    GtkMozEmbed, Python bindings, etc, etc)

  * Don't forget packages that are not pulled by the package management
    automatically (for example of there's no package management on the
    platform)

Debian based distributions (Ubuntu, Debian etc)
-----------------------------------------------
The easiest way to build tinymail is to use the Debian package builder. There
are several ways to do that, but a common way is to run:
    dpkg-buildpackage -rfakeroot
If you don't have dpkg-buildpackage, install dpkg-dev. This command if
you have any missing dependencies. Install dependency $DEP with root command
    apt-get install $DEP

Before you can build the first time, you must choose the control file for your
distribution. The control files have names debian/control.debian-unstable,
debian/control.ubuntu-edgy and so on. If you run Debian Unstable, link with
    ln -s debian/control.debian-unstable debian/control
You must do something similar with the rules file
    ln -s debian/rules.debian debian/rules
And you must also make sure ./autogen.sh is run the first time after checkout
from svn.

All Debian specific files reside in debian/.

Ubuntu Edgy, Dapper, etc etc
----------------------------
On a standard Ubuntu Edgy or Dapper all you have to do to get yourself a more
or less interesting tinymail (interesting in terms of enabled components) is
the following apt-get:

apt-get install gnome-devel firefox-dev libnm-glib-dev subversion \
	automake1.9 autoconf2.13 autotools-dev gnome-common

mkdir -p $HOME/repos/tinymail/
cd $HOME/repos/tinymail/
svn co https://svn.tinymail.org/svn/tinymail
cd tinymail/trunk
./autogen.sh --prefix=/opt/tinymail
make
make install

If you also want to build the Python bindings, install python-gtk2-dev python-dev
add --enable-python-bindings to the autogen.sh line.

If you also want to build the .NET bindings, read bindings/dotnet/README. You'll
need to checkout gtk-sharp and apply two patches, then rebuild it and install it
in for example /opt/gtk-sharp. It's possible that the patches have been accepted
upstream by the time that you read this.

If you also want to (re)build the Vala bindings, you'll need vapigen and valac,
for more information check the README file in bindings/vala/README

Redhat, Fedora, etc etc
-----------------------
TODO

Insert other distro here, etc
-----------------------------
TODO

=== debian/changelog ===
libtinymail (0.0.9+svn4142-4build1) natty; urgency=low

  * Rebuild for libgtkhtml3.14-19 update. libtinymail-gnome-desktop-1.0-0
    becomes installable again.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 09 Mar 2011 20:00:36 +0000

libtinymail (0.0.9+svn4142-4) unstable; urgency=low

  * [2e6a155] Fix Vcs-Git field. (Closes: #583675) - thanks to Yves-
    Alexis Perez <corsac@debian.org>
  * [954da1b] New standards version. (no changes)
  * [39ead58] Add symbols files. (Closes: #524289)
  * [293beab] Added watch file.
  * [b29b17f] Debian source format 3.0 (quilt).

 -- Jonny Lamb <jonny@debian.org>  Thu, 05 Aug 2010 23:19:14 -0400

libtinymail (0.0.9+svn4142-3) unstable; urgency=low

  * debian/patches/:
    + Added patch to use new nm-glib pkgconfig file names. Thanks to
      Michael Biebl for the patch. (Closes: #569306)
  * debian/control:
    + Update build-dep version on libnm-glib-dev because of the above
      patch.
    + Upped Standards-Version. (no changes)

 -- Jonny Lamb <jonny@debian.org>  Tue, 22 Jun 2010 16:20:32 +0100

libtinymail (0.0.9+svn4142-2) unstable; urgency=low

  * debian/control: Set Section: libs for libtinymail-gio-1.0-0.
  * debian/patches/:
    + Add patch to make sure shared libraries are linked to other
      libraries when we use their symbols. (Closes: #558925)

 -- Jonny Lamb <jonny@debian.org>  Tue, 26 Jan 2010 15:34:38 +0000

libtinymail (0.0.9+svn4142-1) unstable; urgency=low

  * New upstream snapshot.
  * Add new libtinymail-gio-{1.0-0,dev} packages.
  * Removed pointless libtinymail-tp-{1.0-0,dev} packages.
  * debian/control: Add ${misc:Depends} to binary packages to please
    lintian.
  * debian/copyright: Clarified where I got this tarball.

 -- Jonny Lamb <jonny@debian.org>  Sun, 24 Jan 2010 18:30:49 +0000

libtinymail (0.0.9+svn3897-2) unstable; urgency=low

  * Build package twice, to also build libtinymail-maemo-* packages
    again. (Closes: #532192, #534085)
  * debian/control: Upped Standards-Version. (no changes)

 -- Jonny Lamb <jonny@debian.org>  Mon, 27 Jul 2009 02:13:40 +0200

libtinymail (0.0.9+svn3897-1) unstable; urgency=low

  [ Jonny Lamb ]
  * New upstream SVN snapshot. (Closes: #495975)
  * debian/patches/:
    + 0001-Use-gtkhtml-3.14.patch: Updated to only touch configure.ac.
  * debian/README.source: Added.
  * debian/gbp.conf: Added.
  * debian/update-patches.mk: Added.
  * debian/rules:
    + Include update-patches.mk.
    + Delete .la files so dh_install doesn't whine.
    + Call debian/rules unpatch from clean target after distclean.
  * debian/control:
    + Use my debian.org email address.
    + Updated and added Vcs-{Git,Browser} fields.
    + Bumped Standards-Version. (no changes)
    + Made short descriptions unique.
    + Added Section and Priority to debug package.
    + Rename libtinymail-gnome-* packages to libtinymail-gnome-desktop-*
      to reflect soname. (Closes: #524290)
  * debian/copyright: Updated copyright links in common-licenses.

  [ Guido Günther ]
  * debian/rules: Call autogen.sh instead of configure.
  * debian/control:
    + Updated Build-Deps for the SVN snapshot.
    + Added debug package. (Closes: #496076)
    + Updated dev package dependencies. (Closes: #496209)
  * Build for GNOME instead of Maemo. (Closes: #492147)

 -- Jonny Lamb <jonny@debian.org>  Tue, 21 Apr 2009 19:34:46 +0100

libtinymail (0.0.9-3) unstable; urgency=medium

  * debian/*-dev.install: Removed installing .la files. (Closes: #496859)

 -- Jonny Lamb <jonnylamb@jonnylamb.com>  Fri, 26 Sep 2008 02:18:11 +0100

libtinymail (0.0.9-2) unstable; urgency=low

  * debian/control:
    + Fixed Maintainer email address.
    + Added libkrb5-dev Build-Dep.
  * debian/rules: Added --with-krb5 option to configure to enable Kerberos5
    support.

 -- Jonny Lamb <jonnylamb@jonnylamb.com>  Fri, 04 Jul 2008 14:01:56 +0100

libtinymail (0.0.9-1) unstable; urgency=low

  * Initial release into Debian (Closes: #465590).
  * debian/control:
    + Changed Maintainer to Debian Maemo Maintainers.
    + Added team members to Uploaders.
    + s/GTK/GTK+/g to please lintian.
    + Added "Section: libdevel" for -dev packages.
    + Bumped Standards-Version to 3.7.3.
    + Added Vcs-Bzr field.
    + Wrapped Build-Deps.
  * debian/rules:
    + Misc cleanups.
    + Added --with-ssl=openssl for SSL support in camel-lite.
    + Disabled tests from building due to OpenSSL confliction.
    + Disabled building the demoui.
  * debian/copyright:
    + Added upstream URL, authors and copyright holders.
    + Added section on how the autogenerated files are created.
  * debian/patches: Removed all old dpatch patches and added
    use-gtkhtml3.14.diff. Also converted patch system to quilt.
  * Created new binary packages, libtinymailui-gtkhtml-{1.0-0,dev}.

 -- Jonny Lamb <jonnylamb@jonnylamb.com>  Mon, 26 May 2008 02:56:28 +0100

libtinymail (0.0.7-0ubuntu1) hardy; urgency=low

  * New upstream release.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 21 Jan 2008 11:45:11 +1100

libtinymail (0.0.6-0ubuntu2) hardy; urgency=low

  * Actually remember a conversation that happened late last year and use
    GtkHTML instead of xulrunner. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Fri, 04 Jan 2008 09:56:53 +1100

libtinymail (0.0.6-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * Patches dropped, fixed upstream:
    - Compile libtinymailui-gnome-keyring with -fPIC.
    - Pull down tny-maemo-device-priv.h from SVN.
    - Disables conic if it doesn't exist.
    - Add some UI locker functions from SVN.
  * xulrunner-1.9 has changed libxul-embedding-1.9 to libxul-embedding, so
    twiddle debian/rules.
  * Rip out 99.9% of the gtkmozembed 1.9 patch, replacing it with one that
    only makes sure we use the unstable headers.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu, 03 Jan 2008 11:50:42 +1100

libtinymail (0.0.5-0ubuntu2) hardy; urgency=low

  [ Loic Minier ]
  * Update xul patch to provide configure flags for misc Mozilla pkg-config


=== debian/control ===
Source: libtinymail
Section: mail
Priority: optional
Maintainer: Debian Maemo Maintainers <pkg-maemo-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>,
           Jonny Lamb <jonny@debian.org>,
           Riku Voipio <riku.voipio@iki.fi>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 5),
               pkg-config,
               libgtk2.0-dev,
               libgnomevfs2-dev,
               libgnomeui-dev,
               libgnome-keyring-dev,
               libgtkhtml3.14-dev,
               libnm-glib-dev (>= 0.7.999),
               libosso-dev,
               libssl-dev,
               libkrb5-dev,
               gnome-common,
               gtk-doc-tools,
               autoconf,
               automake,
               libglib2.0-dev
Homepage: http://tinymail.org/
Vcs-Git: git://git.debian.org/pkg-maemo/libtinymail.git
Vcs-Browser: http://git.debian.org/?p=pkg-maemo/libtinymail.git

Package: libtinymail-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for mobile applications with e-mail
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the shared libraries.

Package: libtinymail-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtinymail-1.0-0 (= ${binary:Version})
Description: Framework for mobile applications with e-mail -- devel
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the static libraries, along with the include files.

Package: libtinymail-gnomevfs-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for mobile applications with e-mail -- GnomeVFS library
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the shared libraries utilising GnomeVFS.

Package: libtinymail-gnomevfs-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtinymail-gnomevfs-1.0-0 (= ${binary:Version})
Description: Framework for mobile applications with e-mail -- GnomeVFS devel
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the static libraries utilising GnomeVFS, along with
 include files.

Package: libtinymail-camel-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for mobile applications with e-mail -- Camel library
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the shared libraries utilising Camel, and Camel-Lite.

Package: libtinymail-camel-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtinymail-camel-1.0-0 (= ${binary:Version})
Description: Framework for mobile applications with e-mail -- Camel devel
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the static libraries utilising Camel and Camel-Lite,
 along with the associated include files.

Package: libtinymail-gnome-desktop-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for mobile applications with e-mail - GNOME library
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the shared libraries utilising GNOME.

Package: libtinymail-gnome-desktop-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtinymail-gnome-desktop-1.0-0 (= ${binary:Version})
Description: Framework for mobile applications with e-mail - GNOME devel
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the static libraries utilising GNOME, along with
 include files.

Package: libtinymail-maemo-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for mobile applications with e-mail - Maemo library
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the shared libraries utilising Maemo.

Package: libtinymail-maemo-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtinymail-maemo-1.0-0 (= ${binary:Version})
Description: Framework for mobile applications with e-mail - Maemo devel
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the static libraries utilising Maemo, along with
 include files.

Package: libtinymailui-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for mobile applications with e-mail - UI library
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the shared libraries for the UI.

Package: libtinymailui-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtinymailui-1.0-0 (= ${binary:Version})
Description: Framework for mobile applications with e-mail - UI devel
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the static libraries for the UI, along with the
 include files.

Package: libtinymailui-gtk-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for mobile applications with e-mail - GTK+ library
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the shared libraries utilising GTK+ for the UI library.

Package: libtinymailui-gtk-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtinymailui-gtk-1.0-0 (= ${binary:Version}), libgtk2.0-dev
Description: Framework for mobile applications with e-mail - GTK+ devel
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the static libraries utilising GTK+ for the UI library,
 along with include files.

Package: libtinymailui-gtkhtml-1.0-0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for mobile applications with e-mail - gtkhtml library
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the static libraries utilising gtkhtml.

Package: libtinymailui-gtkhtml-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtinymailui-gtkhtml-1.0-0 (= ${binary:Version}), libgtkhtml3.14-dev
Description: Framework for mobile applications with e-mail - gtkhtml devel
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer
 with the user interface and, of course also with the connectivity and the
 caching of messages.
 .
 It supports local mail storage (Maildir, mh, spool & mbox), IMAP, POP and
 NNTP. It can also be used to send messages over SMTP and by using sendmail.
 .
 This package contains the static libraries utilising gtkhtml, along
 with inlclude files.

Package: libtinymail-gio-1.0-0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for mobile applications with e-mail -- GIO library
 Tinymail is a library for developing mobile applications with e-mail
 functionality. The framework provides components that aid the developer

=== debian/rules ===
#!/usr/bin/make -f

include $(CURDIR)/debian/update-patches.mk

STAMP_DIR := debian/stampdir

FLAVOURS := gnome maemo

builddir = $(buildbasedir)/$*
buildbasedir = $(CURDIR)/debian/build

installdir = $(installbasedir)/$*
installbasedir = $(CURDIR)/debian/install

common_configure_flags := --prefix=/usr \
	--enable-gnome \
	--disable-tp \
	--with-html-component=gtkhtml \
	--disable-rpath \
	--with-ssl=openssl \
	--enable-tests=no \
	--enable-unit-tests=no \
	--enable-demoui=no \
	--with-krb5=/usr/include

gnome_configure_flags := $(common_configure_flags) \
	--with-platform=gnome-desktop
maemo_configure_flags := $(common_configure_flags) \
	--with-platform=maemo

$(STAMP_DIR)/autogen-stamp:
	NOCONFIGURE=1 ./autogen.sh
	-mkdir -p $(STAMP_DIR)
	touch $@

$(STAMP_DIR)/configure-stamp-%: $(STAMP_DIR)/autogen-stamp
	dh_testdir
	mkdir -p $(builddir)
	cd $(builddir) && \
		$(CURDIR)/configure $($*_configure_flags)
	touch $@

$(STAMP_DIR)/build-stamp-%: $(STAMP_DIR)/configure-stamp-%
	dh_testdir
	$(MAKE) -C $(builddir)
	touch $@

build: $(addprefix $(STAMP_DIR)/build-stamp-, $(FLAVOURS))

clean:
	dh_testdir
	dh_testroot
	rm -rf $(installbasedir)
	rm -rf $(buildbasedir)
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -rf $(STAMP_DIR)
	dh_clean

$(STAMP_DIR)/install-stamp-%: $(STAMP_DIR)/build-stamp-%
	mkdir -p $(installdir)
	$(MAKE) -C $(builddir) install DESTDIR=$(installdir)
	(cd $(installdir)/usr/lib && find -name "*.la" -delete)
	touch $@

install: $(addprefix $(STAMP_DIR)/install-stamp-, $(FLAVOURS))

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installchangelogs ChangeLog
	dh_install --sourcedir=debian/install
	dh_link -a
	dh_strip -a --dbg-package=libtinymail-1.0-0-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -V -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://www.tinymail.org/files/releases/v([0-9.]+)/v([0-9.]+)/libtinymail-(.*).tar.gz
